DELETE
https://api.cryptohopper.com/v1/social/profile/{id}/follow
Stops following a social profile.
OAuth scope:
manage About scopes
Example request
curl -X DELETE "https://api.cryptohopper.com/v1/social/profile/PROFILE_ID/follow" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/social/profile/PROFILE_ID/follow', {
method: 'DELETE',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.delete(
"https://api.cryptohopper.com/v1/social/profile/PROFILE_ID/follow",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/social/profile/PROFILE_ID/follow');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Numeric ID of the social profile to unfollow. |
Response
{
"data": {
"following": 0,
"message": "Member unfollowed."
}
}